#pragma once
#include "target.h"
#include "util.h"
#include <stdbool.h>
#include <stddef.h>

typedef struct config {
  target_t *t_first;
  target_t *t_last;
  size_t    t_len;

  char   *name;
  char   *author;
  clist_t keywords;
} config_t;

bool config_load(config_t *, char *);
void config_free(config_t *);
void config_print(config_t *);
